Openi DeveloperDeveloper

Undo a matched or confirmed match; its records become open again

POST
/v1/matches/{match_id}/undo
AuthorizationBearer <token>

In: header

Path Parameters

match_id*string
Match^-?\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

note?string
Lengthlength <= 1000

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/matches/string/undo" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": -9007199254740991,  "ruleset_id": "string",  "status": "matched",  "kind": "1:1",  "strategy": "pair",  "amount_diff": -9007199254740991,  "expected_count": -9007199254740991,  "score": 0,  "step": -9007199254740991,  "pass": -9007199254740991,  "job_id": "string",  "note": "string",  "decided_at": "2019-08-24T14:15:22Z",  "breakdown": {    "property1": 0,    "property2": 0  },  "left": [    {      "dataset_id": "string",      "record_id": -9007199254740991,      "external_id": "string",      "values": {        "property1": null,        "property2": null      }    }  ],  "right": [    {      "dataset_id": "string",      "record_id": -9007199254740991,      "external_id": "string",      "values": {        "property1": null,        "property2": null      }    }  ],  "created_at": "2019-08-24T14:15:22Z"}